# std::geometric_distribution::p

From cppreference.com
< cpp‎ | numeric‎ | random‎ | geometric distribution

double p() const; |  | (since C++11)

Returns the p distribution parameter the distribution was constructed with. The parameter defines the probability of a trial generating true. The default value is 0.5.

### Parameters

(none)

### Return value

Floating point value identifying the p distribution parameter.

### See also

param | gets or sets the distribution parameter object (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/geometric_distribution/p&oldid=63382"